var e = require("../../common/vendor.js"),
  r = require("../../hooks/onMounted.js"),
  n = require("../../hooks/onShareAppMessage.js"),
  i = require("../../utils/navigate.js");
require("../../hooks/useState.js"),
  require("../../store/app/index.js"),
  require("../../enums/index.js"),
  require("../../data/index.js"),
  require("../../service/index.js"),
  require("../../utils/request.js"),
  require("../../config/index.js"),
  require("../../constant/index.js"),
  require("../../utils/util.js"),
  Math || (e.unref(s) + e.unref(o))();
var s = function () {
    return "../../components/float-help/index.js";
  },
  o = function () {
    return "../../components/float-share/index.js";
  },
  t = {
    __name: "index",
    setup: function (s) {
      var o = function () {
        i.redirectTo({ url: "/pages/order-list-mine/index" });
      };
      return (
        r.onMounted(function () {}, !1),
        n.onShareAppMessage(),
        function (r, n) {
          return e.e({ a: !r.loading }, r.loading ? {} : { b: e.o(o) });
        }
      );
    },
  },
  u = e._export_sfc(t, [["__scopeId", "data-v-10d49bcd"]]);
(t.__runtimeHooks = 2), wx.createPage(u);
